Bug 2015741 - GNOME Classic session uses X11 instead of Wayland
Summary: GNOME Classic session uses X11 instead of Wayland
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell-extensions
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-20 01:29 UTC by Neal Gompa
Modified: 2022-02-22 13:14 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-22 13:14:07 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Screenshot verifying GNOME Classic on Wayland (510.58 KB, image/png)
2021-10-20 03:09 UTC, Neal Gompa
no flags Details
Screenshot showing the GNOME session options (451.65 KB, image/png)
2021-10-20 03:10 UTC, Neal Gompa
no flags Details
Screenshot verifying GNOME Classic on X11 (509.68 KB, image/png)
2021-10-20 03:11 UTC, Neal Gompa
no flags Details

Description Neal Gompa 2021-10-20 01:29:55 UTC
Description of problem:
The GNOME Classic session is only available as an X11 session, even though it's compatible with Wayland. There's no technical reason that this should only be available through X11, given that the difference between the main and classic session is running the same program with an environment variable that starts in "classic mode".

Version-Release number of selected component (if applicable):
41.0-1.fc35

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Workstation
2. Login with "GNOME Classic"

Actual results:
GNOME Classic is started as an X11 session.

Expected results:
GNOME Classic is started as a Wayland session.

Comment 1 Fedora Blocker Bugs Application 2021-10-20 01:31:52 UTC
Proposed as a Freeze Exception for 35-final by Fedora user ngompa using the blocker tracking app because:

 Workstation ships with GNOME Classic as an alternative UX session, and given our proclivity for promoting Wayland technologies, it's kind of embarrassing that we don't have the GNOME Classic session using Wayland by default like the regular GNOME session does.

Comment 2 Michael Catanzaro 2021-10-20 01:42:26 UTC
On the one hand, I agree that it's time we added a Wayland version of the GNOME Classic session. Probably the only reason it doesn't exist is X11 used to be required to display desktop icons, but that's no longer the case.

On the other hand, it's not missing by mistake, it's just something that hasn't been requested before. I would target this bug as a feature request for GNOME 42 that would inherit into F36, rather than seeking a last-minute freeze exception to add an entire new desktop session into F35 at the last possible moment. :)

Comment 4 Neal Gompa 2021-10-20 03:09:25 UTC
Created attachment 1834937 [details]
Screenshot verifying GNOME Classic on Wayland

Installing the scratch build packages from the PR seems to verify that it works.

The attached screenshot is proof from my test VM.

Comment 5 Neal Gompa 2021-10-20 03:10:31 UTC
Created attachment 1834938 [details]
Screenshot showing the GNOME session options

The GNOME sessions options (of GNOME and GNOME Classic for Wayland/X11) seem to be correct too, based on this attached screenshot.

Comment 6 Neal Gompa 2021-10-20 03:11:43 UTC
Created attachment 1834939 [details]
Screenshot verifying GNOME Classic on X11

And this screenshot shows that GNOME Classic still works on X11.

Comment 7 Debarshi Ray 2021-10-20 10:41:58 UTC
(In reply to Michael Catanzaro from comment #2)
> On the other hand, it's not missing by mistake, it's just something that
> hasn't been requested before.

I am failing to dig up a reference, but I vaguely remember that it was done at least somewhat on purpose. ie., the Classic session was added for backwards compatibility for legacy use-cases, so keeping it X-only gives us the broadest possible compatibility.

Comment 8 Neal Gompa 2021-10-20 10:52:07 UTC
(In reply to Debarshi Ray from comment #7)
> (In reply to Michael Catanzaro from comment #2)
> > On the other hand, it's not missing by mistake, it's just something that
> > hasn't been requested before.
> 
> I am failing to dig up a reference, but I vaguely remember that it was done
> at least somewhat on purpose. ie., the Classic session was added for
> backwards compatibility for legacy use-cases, so keeping it X-only gives us
> the broadest possible compatibility.

Well, it was added in RHEL 7 when GNOME 3 was introduced, and back then, GNOME was X11 first rather than Wayland first. Best I can tell is that nobody remembered to switch things when GNOME went Wayland first in Fedora 25.

Comment 9 Debarshi Ray 2021-10-20 11:06:50 UTC
(In reply to Neal Gompa from comment #8)
> (In reply to Debarshi Ray from comment #7)
> > (In reply to Michael Catanzaro from comment #2)
> > > On the other hand, it's not missing by mistake, it's just something that
> > > hasn't been requested before.
> > 
> > I am failing to dig up a reference, but I vaguely remember that it was done
> > at least somewhat on purpose. ie., the Classic session was added for
> > backwards compatibility for legacy use-cases, so keeping it X-only gives us
> > the broadest possible compatibility.
> 
> Well, it was added in RHEL 7 when GNOME 3 was introduced, and back then,
> GNOME was X11 first rather than Wayland first. Best I can tell is that
> nobody remembered to switch things when GNOME went Wayland first in Fedora
> 25.

I know. I co-created Classic mode with Florian back then. :)

I am talking about discussions from the times when we started to default to Wayland. It's not like the Classic mode got completely abandoned, you know. The upstream maintainers and designers do discuss and work on it it from time to time.

Now that I have had time to think about it more, this might very well have been an IRC conversation.

Anyway, I don't have an opinion on this either way. When I saw this in my inbox, I felt like mentioning the historical context. That's all.

Comment 10 Neal Gompa 2021-10-21 22:28:31 UTC
(In reply to Debarshi Ray from comment #9)
> (In reply to Neal Gompa from comment #8)
> > (In reply to Debarshi Ray from comment #7)
> > > (In reply to Michael Catanzaro from comment #2)
> > > > On the other hand, it's not missing by mistake, it's just something that
> > > > hasn't been requested before.
> > > 
> > > I am failing to dig up a reference, but I vaguely remember that it was done
> > > at least somewhat on purpose. ie., the Classic session was added for
> > > backwards compatibility for legacy use-cases, so keeping it X-only gives us
> > > the broadest possible compatibility.
> > 
> > Well, it was added in RHEL 7 when GNOME 3 was introduced, and back then,
> > GNOME was X11 first rather than Wayland first. Best I can tell is that
> > nobody remembered to switch things when GNOME went Wayland first in Fedora
> > 25.
> 
> I know. I co-created Classic mode with Florian back then. :)
> 
> I am talking about discussions from the times when we started to default to
> Wayland. It's not like the Classic mode got completely abandoned, you know.
> The upstream maintainers and designers do discuss and work on it it from
> time to time.
> 
> Now that I have had time to think about it more, this might very well have
> been an IRC conversation.
> 
> Anyway, I don't have an opinion on this either way. When I saw this in my
> inbox, I felt like mentioning the historical context. That's all.

Ray Strode noted in bug 2015914 that GNOME Classic on Wayland was added for RHEL 8, so it sounds like it just never got upstreamed.

Comment 11 Adam Williamson 2021-10-25 19:39:09 UTC
-5 in https://pagure.io/fedora-qa/blocker-review/issue/559 , marking as rejected FE.

Comment 12 Florian Müllner 2022-02-22 13:14:07 UTC
The changed landed upstream for GNOME 42 / Fedora 36. I don't see a good reason to backport the change to older releases though.


Note You need to log in before you can comment on or make changes to this bug.